
## How to contribute to Sonic

#### **Did you find a bug?**


* **Do not open up a GitHub issue if the bug is a security vulnerability
  in Sonic**, and instead to refer to our security policy.

* **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/go-sonic/sonic/issues).

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/go-sonic/sonic/issues/new). Be sure to include a **title and clear description**, as much relevant information as possible, and a **code sample** or an **executable test case** demonstrating the expected behavior that is not occurring.


#### **Did you write a patch that fixes a bug?**

* Open a new GitHub pull request with the patch.

* Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.

#### **Did you fix whitespace, format code, or make a purely cosmetic patch?**

Changes that are cosmetic in nature and do not add anything substantial to the stability, functionality, or testability of Sonic will generally not be accepted .

#### **Do you intend to add a new feature or change an existing one?**

* Suggest your change in the [Issue](https://github.com/go-sonic/sonic) and start writing code.

#### **Do you have questions about the source code?**

* Ask any question about how to use Sonic in the [Discussions](https://github.com/go-sonic/sonic/discussions).




Thanks! :heart: :heart: :heart:

Go-Sonic
